import { OnChanges } from '@angular/core';
/** [ChannelValue Component](https://brightlayer-ui-components.github.io/angular/?path=/info/components-channel-value--readme)
 *
 * Displays a value/unit combination.
 * These are used as part of the HeroComponent but can also be used inline.
 * */
export declare class ChannelValueComponent implements OnChanges {
    /** If true, shows units before the value
     *
     * @default false
     * */
    prefix: boolean;
    /** The text to display for the units (light text) */
    units: string;
    /** The text to display for the value (bold text)*/
    value: string | number;
    /** Text color */
    color: string;
    ngOnChanges(): void;
}
